var tmpl=`
<div>
      <div slot="footer" class="dialog-footer" style="text-align:right">
        <gsb-button-group isForm="true" @select="onselect" ikey="cancel" :btns="toolbar"></gsb-button-group>
      </div>
      <slot name="top"></slot>
      <gsb-form  ref="dform" :metaData="metaData" :refvalidatemethod="refvalidatemethod">
      </gsb-form>
      <slot></slot>
</div>
`
module.exports=
`{
   template:'${tmpl}',
   props:['metaData',"headTitle","toolbar","refvalidatemethod"],
   data:function(){
     return {

     };
   },
   created:function(){
     console.log("created....................");
   },
   methods:{
     validate(cbk){
       this.$refs.dform.validate(function(valid){
         return cbk(valid);
       });
     },
     onselect:function(k){
       this.$emit('dlgFormClick',k,this.$refs.dform.formModel);
     },
     setInitData:function(obj){
       this.$refs.dform.setInitData(obj);
     },
     getFormModel(){
       return this.$refs.dform.getFormModel();
     },
   },
   vname:"gsb-detailform"
}`
